.item-shop-overlay {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0,0,0,0.7);
    display: flex;
    justify-content: center;
    align-items: center;
    z-index: 1000;
    backdrop-filter: blur(5px);
}

.item-shop-modal {
    width: 90%;
    max-width: 350px;
    background-color: rgba(0,0,0,0.8);
    border: 2px solid rgba(46, 204, 113, 0.5);
    border-radius: 10px;
    box-shadow: 
        0 0 20px rgba(46, 204, 113, 0.3), 
        0 0 40px rgba(46, 204, 113, 0.2);
    position: relative;
    animation: hologram-appear 0.5s ease-out;
    max-height: 80vh;
    overflow-y: auto;
}

.armor-shop-overlay {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0,0,0,0.7);
    display: flex;
    justify-content: center;
    align-items: center;
    z-index: 1000;
    backdrop-filter: blur(5px);
}

.armor-shop-modal {
    width: 90%;
    max-width: 350px;
    background-color: rgba(0,0,0,0.8);
    border: 2px solid rgba(46, 204, 113, 0.5);
    border-radius: 10px;
    box-shadow: 
        0 0 20px rgba(46, 204, 113, 0.3), 
        0 0 40px rgba(46, 204, 113, 0.2);
    position: relative;
    animation: hologram-appear 0.5s ease-out;
    max-height: 80vh;
    overflow-y: auto;
}

